import { gql } from "@apollo/client";

export const UPDATE_BILL_LINE = gql`
  mutation UPDATE_BILL_LINE($billLineId: uuid!, $billLine: billlines_set_input!) {
    update_billlines(where: { id: { _eq: $billLineId } }, _set: $billLine) {
      returning {
        id
      }
    }
  }
`;
export const DELETE_BILL_LINE = gql`
  mutation DELETE_BILL_LINE($id: uuid!) {
    delete_billlines_by_pk(id: $id) {
      id
    }
  }
`;

export const INSERT_NEW_BILL_LINES = gql`
  mutation INSERT_NEW_BILL_LINES($billLines: [billlines_insert_input!]!) {
    insert_billlines(objects: $billLines) {
      returning {
        id
      }
    }
  }
`;
